# Webload client

A Client to tail nginx log files and push the GET urls into an SQS queue that is going to be used for load testing through a lambda function

## Installation

Install it yourself as:

    $ gem install webload-client

## Usage


```
$ webload -h
Usage: webload [options]
    -q, --queue-name SQS_QUEUE_NAME  The sqs queue name
    -l, --log-file LOG_FILE          The log file to be processed
    -r, --rate-per-minute RATE       The number of requests per minute
    -u, --url URL                    The destination URL to send the traffic to
    -b, --batch NUM                  The number of requests to accumulate before sending to sqs

    -v, --verbose                    Run verbosely
    -h, --help                       Show this message
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/webload-client. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Webload::Client project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/webload-client/blob/master/CODE_OF_CONDUCT.md).
# gem-webload
